Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the CPAN-Reporter CPAN distribution.

Report information
The Basics
Id: 74368
Status: resolved
Priority: 0/
Queue: CPAN-Reporter

People
Owner: Nobody in particular
Requestors: RWSTAUNER [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in:
  • 1.2003
  • 1.2005
Fixed in: (no value)

Attachments


Subject: t/70_darwin_move_config.t fails on require IPC::Cmd on strawberry perl 5.14.2 preview win xp home sp3
Download (untitled) / with headers
text/plain 2.6k
This might be a bug in the POSIX (or maybe AutoLoader or...) provided by the preview release of Strawberry Perl 5.14.2, but a minor patch to t/70_darwin_move_config.t (requiring POSIX in the test before changing $^O) enables the test to pass for me on Win XP Home SP3. C:\strawberry\cpan\build\CPAN-Reporter-1.2003-jFTJ0W>perl -Ilib t\70_darwin_move _config.t 1..9 not ok 1 - require CPAN::Reporter::Config; # Failed test 'require CPAN::Reporter::Config;' # at t\70_darwin_move_config.t line 60. # Tried to require 'CPAN::Reporter::Config'. # Error: Bareword "WNOHANG" not allowed while "strict subs" in use at C:/st rawberry/perl/lib/IPC/Cmd.pm line 417. # BEGIN not safe after errors--compilation aborted at C:/strawberry/perl/lib/IPC /Cmd.pm line 1285. # Compilation failed in require at lib/CPAN/Reporter/Config.pm line 10. # BEGIN failed--compilation aborted at lib/CPAN/Reporter/Config.pm line 10. # Compilation failed in require at (eval 22) line 2. ok 2 - non-darwin logic: old config dir still in place ok 3 - non-darwin logic: new config dir not created not ok 4 - require CPAN::Reporter::Config; # Failed test 'require CPAN::Reporter::Config;' # at t\70_darwin_move_config.t line 76. # Tried to require 'CPAN::Reporter::Config'. # Error: Attempt to reload IPC/Cmd.pm aborted. # Compilation failed in require at lib/CPAN/Reporter/Config.pm line 10. # BEGIN failed--compilation aborted at lib/CPAN/Reporter/Config.pm line 10. # Compilation failed in require at (eval 24) line 2. not ok 5 - CPAN::Reporter::Config reloaded # Failed test 'CPAN::Reporter::Config reloaded' # at t\70_darwin_move_config.t line 78. not ok 6 - darwin logic: old config-dir removed # Failed test 'darwin logic: old config-dir removed' # at t\70_darwin_move_config.t line 81. not ok 7 - darwin logic: new config-dir created # Failed test 'darwin logic: new config-dir created' # at t\70_darwin_move_config.t line 84. No such file or directory at t\70_darwin_move_config.t line 87. # Looks like you planned 9 tests but ran 7. # Looks like you failed 5 tests of 7 run. # Looks like your test exited with 2 just after 7. Simpler test case: C:\strawberry\cpan\build\CPAN-Reporter-1.2003-jFTJ0W>perl -Ilib -e "local $^O=q[ unknown]; print eval q[require CPAN::Reporter::Config] || $@" Bareword "WNOHANG" not allowed while "strict subs" in use at C:/strawberry/perl/ lib/IPC/Cmd.pm line 417. BEGIN not safe after errors--compilation aborted at C:/strawberry/perl/lib/IPC/C md.pm line 1285. Compilation failed in require at lib/CPAN/Reporter/Config.pm line 10. BEGIN failed--compilation aborted at lib/CPAN/Reporter/Config.pm line 10. Compilation failed in require at (eval 1) line 2.
Subject: cpan-reporter-darwin-test-fix.patch
diff --git a/t/70_darwin_move_config.t b/t/70_darwin_move_config.t index 0c2719c..2b42e49 100644 --- a/t/70_darwin_move_config.t +++ b/t/70_darwin_move_config.t @@ -53,6 +53,10 @@ package main; #--------------------------------------------------------------------------# +# load POSIX before changing $^O +# (for any modules that CPAN::Reporter::Config requires that depend on it) +require POSIX; + # Make sure nothing happens when OS is not Darwin {
Subject: Re: [rt.cpan.org #74368] t/70_darwin_move_config.t fails on require IPC::Cmd on strawberry perl 5.14.2 preview win xp home sp3
Date: Wed, 25 Jan 2012 11:45:12 -0500
To: bug-CPAN-Reporter [...] rt.cpan.org
From: David Golden <dagolden [...] cpan.org>
Download (untitled) / with headers
text/plain 480b
On Wed, Jan 25, 2012 at 10:51 AM, Randy Stauner via RT <bug-CPAN-Reporter@rt.cpan.org> wrote: Show quoted text
> This might be a bug in the POSIX (or maybe AutoLoader or...) provided by > the preview release of Strawberry Perl 5.14.2, > but a minor patch to t/70_darwin_move_config.t > (requiring POSIX in the test before changing $^O) > enables the test to pass for me on Win XP Home SP3.
That's weird. Is is only on 5.14.2? Do older Strawberries work? Does ActiveState 5.14.2 work? -- David
Download (untitled) / with headers
text/plain 989b
On Wed Jan 25 09:45:44 2012, DAGOLDEN wrote: Show quoted text
> On Wed, Jan 25, 2012 at 10:51 AM, Randy Stauner via RT > <bug-CPAN-Reporter@rt.cpan.org> wrote:
> > This might be a bug in the POSIX (or maybe AutoLoader or...) provided by > > the preview release of Strawberry Perl 5.14.2, > > but a minor patch to t/70_darwin_move_config.t > > (requiring POSIX in the test before changing $^O) > > enables the test to pass for me on Win XP Home SP3.
> > That's weird. Is is only on 5.14.2? Do older Strawberries work? > Does ActiveState 5.14.2 work? > > -- David
* That test passes on the 5.12.3 (portable zip) strawberry release. * ActivePerl 5.14.2 (1402) fails this test in the same way, though it also has a host of problems trying to install the dependencies for Task::CPAN::Reporter. The same 'require POSIX;' trick fixes the test on activeperl. * On the original 5.14.2 strawberry version I was able to upgrade a few modules (including AutoLoader and Exporter) but still had the same problem.
Subject: Re: [rt.cpan.org #74368] t/70_darwin_move_config.t fails on require IPC::Cmd on strawberry perl 5.14.2 preview win xp home sp3
Date: Wed, 25 Jan 2012 16:15:50 -0500
To: bug-CPAN-Reporter [...] rt.cpan.org
From: David Golden <dagolden [...] cpan.org>
Download (untitled) / with headers
text/plain 669b
On Wed, Jan 25, 2012 at 4:08 PM, Randy Stauner via RT <bug-CPAN-Reporter@rt.cpan.org> wrote: Show quoted text
> * That test passes on the 5.12.3 (portable zip) strawberry release. > > * ActivePerl 5.14.2 (1402) fails this test in the same way, > though it also has a host of problems trying to install the dependencies > for Task::CPAN::Reporter. > > The same 'require POSIX;' trick fixes the test on activeperl. > > * On the original 5.14.2 strawberry version I was able to upgrade a few > modules (including AutoLoader and Exporter) but still had the same problem.
Interesting. If you get a chance to isolate a minimal test case, that might be worth filing as a Perl bug. -- David
Download (untitled) / with headers
text/plain 388b
Show quoted text
> > Interesting. If you get a chance to isolate a minimal test case, that > might be worth filing as a Perl bug. > > -- David
I don't have a clue what the issue with POSIX is, but I'll try to remember to look into it someday... Meanwhile I did submit a suggestion for IPC::Cmd that would also work around this issue: https://rt.cpan.org/Ticket/Display.html?id=74373 Thanks. - Randy


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.